# Class CIM_AffectedJobElement

AffectedJobElement represents an association between a Job and the ManagedElement(s) that may be affected by its execution. It may not be feasible for the Job to describe all of the affected elements. The main purpose of this association is to provide information when a Job requires exclusive use of the 'affected' ManagedElment(s) or when describing that side effects may result.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_AffectedJobElement

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

AffectedJobElement represents an association between a Job and the ManagedElement(s) that may be affected by its execution. It may not be feasible for the Job to describe all of the affected elements. The main purpose of this association is to provide information when a Job requires exclusive use of the 'affected' ManagedElment(s) or when describing that side effects may result.

UMLPackagePath | string | CIM::System::Processing
Version | string | 2.15.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ElementEffects | uint16[] |
ArrayType | string | Indexed
Description | string | An enumeration describing the 'effect' on the ManagedElement. This array corresponds to the OtherElementEffectsDescriptions array, where the latter provides details related to the high-level 'effects' enumerated by this property. Additional detail is required if the ElementEffects array contains the value 1, "Other".
ModelCorrespondence | string | CIM_AffectedJobElement.OtherElementEffectsDescriptions
ValueMap | string | 0, 1, 2, 3, 4, 5
Values | string | Unknown, Other, Exclusive Use, Performance Impact, Element Integrity, Create
OtherElementEffectsDescriptions | string[] |
ArrayType | string | Indexed
Description | string | Provides details for the 'effect' at the corresponding array position in ElementEffects. This information is required whenever ElementEffects contains the value 1 ("Other").
ModelCorrespondence | string | CIM_AffectedJobElement.ElementEffects

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
AffectedElement | CIM_AffectedJobElement | CIM_ManagedElement
AffectingElement | CIM_AffectedJobElement | CIM_Job

## Class Methods